# H.-B. Woyand - Python
# Aufgabe 8 - Kapitel 4 - Datei: Aufgabe_4.8.py

from geometrie3 import *

minwert = 0
maxwert = 100
setworldcoordinates(minwert,minwert,maxwert,maxwert)

class Rechteck(minicad):
    def __init__(self,name,x1,y1,x2,y2,\
                 farbe="blue",dicke=4,\
                 fuellfarbe=None):
        self.name = name
        self.x1 = x1
        self.y1 = y1
        self.x2 = x2
        self.y2 = y2
        self.farbe = farbe
        self.dicke = dicke
        self.fuellfarbe = fuellfarbe
    def zeichnen(self):
        speed(0)
        if self.fuellfarbe <> None:
            fillcolor(self.fuellfarbe)
            fill(True)
        penup()
        pencolor(self.farbe)
        pensize(self.dicke)
        goto(self.x1,self.y1)
        pendown()
        goto(self.x2,self.y1)
        goto(self.x2,self.y2)
        goto(self.x1,self.y2)
        goto(self.x1,self.y1)
        if self.fuellfarbe <> None:
            fill(False)
    def __del__(self):
        speed(0)
        penup()
        pencolor("white")
        if self.fuellfarbe <> None:
            fillcolor("white")
            fill(True)
        pensize(self.dicke)
        goto(self.x1,self.y1)
        pendown()
        goto(self.x2,self.y1)
        goto(self.x2,self.y2)
        goto(self.x1,self.y2)
        goto(self.x1,self.y1)
        if self.fuellfarbe <> None:
            fill(False)
    def information(self):
        print "Rechteck: "
        print "Name: ",self.name
        print "Erster Punkt(links unten)",\
              self.x1,self.y1
        print "Zweiter Punkt(rechts oben)",\
              self.x2,self.y2
        print "Farbe: ",self.farbe
        print "Liniendicke: ",self.dicke
        print "Fuellfarbe: ",self.fuellfarbe


R1 = Rechteck("R1",10,30,70,70,\
              farbe="red",fuellfarbe="green")
Rechteck_B = Rechteck("B",40,60,80,80,dicke=3)
R1.zeichnen()
R1.information()
Rechteck_B.information()
Rechteck_B.zeichnen()
raw_input("Weiter?")
del R1
del Rechteck_B
